ApolloでSQLiteを使う

ApolloでSQLiteが動かないというメールをもらったので、調べてみました。

以下の操作で、SQLiteが使えました。

1. [Apollo – Delphi Ruby interface][1] のページから ap-840-bde60-ruby182.msi をダウンロードする。

2. ダウンロードした ap-840-bde60-ruby182.msi をダブルクリックしてインストールする。

3. [RubyForge][2] から sqlite-ruby-2.2.3-msvcrt-bin.zip をダウンロードする。

4. ダウンロードした sqlite-ruby-2.2.3-msvcrt-bin.zip を展開して、install.rb をダブルクリックし、インストールする。

5. [SQLite Download Page][3] から sqlitedll-2_8_16.zip をダウンロードして展開する。

6. test.rb を作成する。

#!ruby -Ks
require ‘sqlite’
begin
db = SQLite::Database.new(“data.db”)
sql = <

コメントを残す

メールアドレスが公開されることはありません。 * が付いている欄は必須項目です

このサイトはスパムを低減するために Akismet を使っています。コメントデータの処理方法の詳細はこちらをご覧ください